<?php
/* *****************************************************************************************************
	The below code connects to my local database and produces the following output.
	for this demo I loaded this page and copied the output from the database into a variable below.
   *****************************************************************************************************
   
    session_start();
    require("config.php");
	include("functions.php");
	
	$dbh = new PDO("mysql:host=$dbhost;dbname=$dbname", $dbuser, $dbpass);
	$dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

	$sql = "SELECT * from `menu` WHERE menuID = 1";
	$stmt = $dbh->prepare($sql);
	$stmt->execute();
	$stmtResult = $stmt->fetchAll(PDO::FETCH_ASSOC);
	
	$sql2 = "SELECT * from `menu_category` WHERE menu_mID = ?";
	$stmt2 = $dbh->prepare($sql2);
	$stmt2->bindParam(1, $stmtResult[0]['menuID'],    PDO::PARAM_INT); // main categories
	$stmt2->execute();
	$stmtResult2 = $stmt2->fetchAll(PDO::FETCH_ASSOC);
				
	$json = '{skin: "dhx_skyblue", multi_mode: '.evalTrueFalse($stmtResult[0]['multi_mode']).', icons_path: "./codebase/imgs/", items: [';
	
	foreach($stmtResult2 as $row){
		$json .= '{id: "accItem_'.$row['mcID'].'", height: '.$row['height'].',';
		
		if($row['icon']){
			$json .= ' icon: "'.$row['icon'].'",';
		}	
	
		$json .= ' text: "'.$row['text'].'"},';	
	}	
	$json = substr($json, 0, -1); // remove last comma from the JSON string
	
	$json .= ']}';
	
***************************************************************************************************** */

	$json = '{skin: "dhx_skyblue", multi_mode: true, icons_path: "./codebase/imgs/", items: [{id: "accItem_1", height: 150, icon: "book.png", text: "Main Page"},{id: "accItem_2", height: "*", icon: "book.png", text: "Site Navigation"}]}';
	echo  $json;
?>
	